<template>
  <div id="app">
    <h1>Registro</h1>
    <RegisterForm
      @onUserAdd="addUser($event)"/>
    <UsersList 
      v-if="users.length"
      :users="users"/>
  </div>
</template>

<script>
import RegisterForm from './components/RegisterForm.vue'
import UsersList from './components/UsersList.vue'

export default {
  name: 'App',
  components: {
    RegisterForm,
    UsersList
  },
  data() {
    return {
      users: []
    }
  },
  methods: {
    addUser(user) {
      this.users.push(user);
    }
  }
}
</script>


<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin-top: 1em;
  margin-left: 1em;
}

h1, h2 {
  margin-top: 0em;
  margin-bottom: 0.5em;
}

.register-form {
  margin-bottom: 1em;
}
</style>
